
[General]
image-path=../../images
sim-time-limit=900s
warmup-period=0s
#repeat = 3
**.routingRecorder.enabled = false

############### Statistics ##################
output-scalar-file = ${resultdir}/${configname}/${repetition}.sca
output-vector-file = ${resultdir}/${configname}/${repetition}.vec
seed-set = ${repetition}
**.vector-recording = false

############### General PHY parameters ##############
**.downlink_interference = true
**.uplink_interference = true
**.ueTxPower = 26
**.eNodeBTxPower = 46
**.targetBler = 0.01
**.blerShift = 5  
**.fbPeriod = 40   # reports CQI every 40ms


############### IPv4 configurator config #################
*.configurator.config = xmldoc("./demo.xml")

network = MultiCell_Standalone

############# Floorplan parameters ################
**.mobility.constraintAreaMaxX = 4100m
**.mobility.constraintAreaMaxY = 2950m
**.mobility.constraintAreaMinX = 0m
**.mobility.constraintAreaMinY = 0m
**.mobility.constraintAreaMinZ = 0m
**.mobility.constraintAreaMaxZ = 0m
**.mobility.initFromDisplayString = false

################ SCTP configuration ##################
**.sctp.nagleEnabled = false         # if true, transmission of small packets will be delayed on the X2
**.sctp.enableHeartbeats = false

############### BS position and number #################
    
*.gnb0.mobility.initialX = 3187.0833333333335m
*.gnb0.mobility.initialY = 2252.5m
    
*.gnb1.mobility.initialX = 10.0m
*.gnb1.mobility.initialY = 2940.0m
    
*.gnb2.mobility.initialX = 4010.0m
*.gnb2.mobility.initialY = 799.375m
    
*.gnb3.mobility.initialX = 10.0m
*.gnb3.mobility.initialY = 1627.5m
    
*.gnb4.mobility.initialX = 1885.0m
*.gnb4.mobility.initialY = 2690.0m
    
*.gnb5.mobility.initialX = 4010.0m
*.gnb5.mobility.initialY = 2544.1666666666665m
    
*.gnb*.numX2Apps = 2


############### X2 configuration #################
# one x2App per peering node
*.gnb*.x2App[*].server.localPort = 5000 + ancestorIndex(1)  # Server ports (x2App[0]=5000, x2App[1]=5001, ...)
    
*.gnb0.x2App[1].client.connectAddress = "gnb1%x2ppp0"
*.gnb1.x2App[0].client.connectAddress = "gnb0%x2ppp0"
            
*.gnb1.x2App[1].client.connectAddress = "gnb2%x2ppp0"
*.gnb2.x2App[0].client.connectAddress = "gnb1%x2ppp0"
            
*.gnb2.x2App[1].client.connectAddress = "gnb3%x2ppp0"
*.gnb3.x2App[0].client.connectAddress = "gnb2%x2ppp0"
            
*.gnb3.x2App[1].client.connectAddress = "gnb4%x2ppp0"
*.gnb4.x2App[0].client.connectAddress = "gnb3%x2ppp0"
            
*.gnb4.x2App[1].client.connectAddress = "gnb5%x2ppp0"
*.gnb5.x2App[0].client.connectAddress = "gnb4%x2ppp0"
            
*.gnb5.x2App[1].client.connectAddress = "gnb0%x2ppp0"
*.gnb0.x2App[0].client.connectAddress = "gnb5%x2ppp0"
            

############## UE configuration ##################
*.numUe = ${numUEs=18}

# UEs associates to the best BS at the beginning of the simulation
*.ue[*].macCellId = 0
*.ue[*].masterId = 0
*.ue[*].nrMacCellId = 1
*.ue[*].nrMasterId = 1
**.dynamicCellAssociation = true
**.enableHandover = true

############ UEs position #################
*.ue[*].mobility.typename = "StationaryMobility" #all UEs are in the specified fixed position
#*.ue[*].mobility.speed = 0mps 
#------------------------------------#

#ues positions 

*.ue[0].mobility.initialX = 10m
*.ue[0].mobility.initialY =  2950m - 1697.5m

*.ue[1].mobility.initialX = 10m
*.ue[1].mobility.initialY =  2950m - 947.5m

*.ue[2].mobility.initialX = 10m
*.ue[2].mobility.initialY =  2950m - 10m

*.ue[3].mobility.initialX = 1447.5m
*.ue[3].mobility.initialY =  2950m - 10m

*.ue[4].mobility.initialX = 3260m
*.ue[4].mobility.initialY =  2950m - 10m

*.ue[5].mobility.initialX = 4010m
*.ue[5].mobility.initialY =  2950m - 10m

*.ue[6].mobility.initialX = 4010m
*.ue[6].mobility.initialY =  2950m - 385m

*.ue[7].mobility.initialX = 4010m
*.ue[7].mobility.initialY =  2950m - 822.5m

*.ue[8].mobility.initialX = 4010m
*.ue[8].mobility.initialY =  2950m - 1385m

*.ue[9].mobility.initialX = 4010m
*.ue[9].mobility.initialY =  2950m - 1947.5m

*.ue[10].mobility.initialX = 4010m
*.ue[10].mobility.initialY =  2950m - 2385m

*.ue[11].mobility.initialX = 4010m
*.ue[11].mobility.initialY =  2950m - 2885m

*.ue[12].mobility.initialX = 3260m
*.ue[12].mobility.initialY =  2950m - 510m

*.ue[13].mobility.initialX = 2822.5m
*.ue[13].mobility.initialY =  2950m - 510m

*.ue[14].mobility.initialX = 2322.5m
*.ue[14].mobility.initialY =  2950m - 510m

*.ue[15].mobility.initialX = 3260m
*.ue[15].mobility.initialY =  2950m - 760m

*.ue[16].mobility.initialX = 3260m
*.ue[16].mobility.initialY =  2950m - 1010m

*.ue[17].mobility.initialX = 3260m
*.ue[17].mobility.initialY =  2950m - 1385m

# one UDP application for each user
*.ue[0].numApps = 17
*.ue[1].numApps = 1
*.ue[2].numApps = 1
*.ue[3].numApps = 1
*.ue[4].numApps = 1
*.ue[5].numApps = 1
*.ue[6].numApps = 1
*.ue[7].numApps = 1
*.ue[8].numApps = 1
*.ue[9].numApps = 1
*.ue[10].numApps = 1
*.ue[11].numApps = 1
*.ue[12].numApps = 1
*.ue[13].numApps = 1
*.ue[14].numApps = 1
*.ue[15].numApps = 1
*.ue[16].numApps = 1
*.ue[17].numApps = 1

#*.server.numApps = 18

#*.server.app[*].typename = "VoIPReceiver"
#*.server.app[*].localPort = 3000 + ancestorIndex(0)

#*.ue[*].app[*].typename = "VoIPSender"
#*.ue[*].app[*].PacketSize = 34
#*.ue[*].app[*].sampling_time = 0.02s
#*.ue[*].app[*].destAddress = "server" 
#*.ue[*].app[*].destPort = 3000 + ancestorIndex(0) 
#*.ue[*].app[*].localPort = 3088+ancestorIndex(0)
#*.ue[*].app[*].startTime = 0s

*.ue[*].app[*].finishTime = 3610s

# Transmitter(s)
*.ue[0].app[*].typename = "VoIPReceiver"
*.ue[0].app[*].localPort = 3000 + ancestorIndex(0)
*.ue[0].app[*].startTime = 10s

*.ue[1].app[*].typename = "VoIPSender"
*.ue[1].app[*].PacketSize = 34
*.ue[1].app[*].sampling_time = 0.02s
*.ue[1].app[*].localPort = 3089
*.ue[1].app[*].startTime = 10s
*.ue[1].app[*].destAddress = "ue[0]"
*.ue[1].app[*].destPort = 3001

*.ue[2].app[*].typename = "VoIPSender"
*.ue[2].app[*].PacketSize = 34
*.ue[2].app[*].sampling_time = 0.02s
*.ue[2].app[*].localPort = 3090
*.ue[2].app[*].startTime = 10s
*.ue[2].app[*].destAddress = "ue[0]"
*.ue[2].app[*].destPort = 3002

*.ue[3].app[*].typename = "VoIPSender"
*.ue[3].app[*].PacketSize = 34
*.ue[3].app[*].sampling_time = 0.02s
*.ue[3].app[*].localPort = 3091
*.ue[3].app[*].startTime = 10s
*.ue[3].app[*].destAddress = "ue[0]"
*.ue[3].app[*].destPort = 3003 

*.ue[4].app[*].typename = "VoIPSender"
*.ue[4].app[*].PacketSize = 34
*.ue[4].app[*].sampling_time = 0.02s
*.ue[4].app[*].localPort = 3092
*.ue[4].app[*].startTime = 10s
*.ue[4].app[*].destAddress = "ue[0]"
*.ue[4].app[*].destPort = 3004

*.ue[5].app[*].typename = "VoIPSender"
*.ue[5].app[*].PacketSize = 34
*.ue[5].app[*].sampling_time = 0.02s
*.ue[5].app[*].localPort = 3093
*.ue[5].app[*].startTime = 10s 
*.ue[5].app[*].destAddress = "ue[0]"
*.ue[5].app[*].destPort = 3005 

*.ue[6].app[*].typename = "VoIPSender"
*.ue[6].app[*].PacketSize = 34
*.ue[6].app[*].sampling_time = 0.02s
*.ue[6].app[*].localPort = 3094
*.ue[6].app[*].startTime = 10s
*.ue[6].app[*].destAddress = "ue[0]"
*.ue[6].app[*].destPort = 3006

*.ue[7].app[*].typename = "VoIPSender"
*.ue[7].app[*].PacketSize = 34
*.ue[7].app[*].sampling_time = 0.02s
*.ue[7].app[*].localPort = 3095
*.ue[7].app[*].startTime = 10s
*.ue[7].app[*].destAddress = "ue[0]"
*.ue[7].app[*].destPort = 3007 

*.ue[8].app[*].typename = "VoIPSender"
*.ue[8].app[*].PacketSize = 34
*.ue[8].app[*].sampling_time = 0.02s
*.ue[8].app[*].localPort = 3096
*.ue[8].app[*].startTime = 10s
*.ue[8].app[*].destAddress = "ue[0]"
*.ue[8].app[*].destPort = 3008 

*.ue[9].app[*].typename = "VoIPSender"
*.ue[9].app[*].PacketSize = 34
*.ue[9].app[*].sampling_time = 0.02s
*.ue[9].app[*].localPort = 3097
*.ue[9].app[*].startTime = 10s
*.ue[9].app[*].destAddress = "ue[0]"
*.ue[9].app[*].destPort = 3009

*.ue[10].app[*].typename = "VoIPSender"
*.ue[10].app[*].PacketSize = 34
*.ue[10].app[*].sampling_time = 0.02s
*.ue[10].app[*].localPort = 3098
*.ue[10].app[*].startTime = 10s
*.ue[10].app[*].destAddress = "ue[0]"
*.ue[10].app[*].destPort = 3010 

*.ue[11].app[*].typename = "VoIPSender"
*.ue[11].app[*].PacketSize = 34
*.ue[11].app[*].sampling_time = 0.02s
*.ue[11].app[*].localPort = 3099
*.ue[11].app[*].startTime = 10s
*.ue[11].app[*].destAddress = "ue[0]"
*.ue[11].app[*].destPort = 3011 

*.ue[12].app[*].typename = "VoIPSender"
*.ue[12].app[*].PacketSize = 34
*.ue[12].app[*].sampling_time = 0.02s
*.ue[12].app[*].localPort = 3100
*.ue[12].app[*].startTime = 10s
*.ue[12].app[*].destAddress = "ue[0]"
*.ue[12].app[*].destPort = 3012 

*.ue[13].app[*].typename = "VoIPSender"
*.ue[13].app[*].PacketSize = 34
*.ue[13].app[*].sampling_time = 0.02s
*.ue[13].app[*].localPort = 3101
*.ue[13].app[*].startTime = 10s
*.ue[13].app[*].destAddress = "ue[0]"
*.ue[13].app[*].destPort = 3013

*.ue[14].app[*].typename = "VoIPSender"
*.ue[14].app[*].PacketSize = 34
*.ue[14].app[*].sampling_time = 0.02s
*.ue[14].app[*].localPort = 3102 
*.ue[14].app[*].startTime = 10s
*.ue[14].app[*].destAddress = "ue[0]"
*.ue[14].app[*].destPort = 3014

*.ue[15].app[*].typename = "VoIPSender"
*.ue[15].app[*].PacketSize = 34
*.ue[15].app[*].sampling_time = 0.02s
*.ue[15].app[*].localPort = 3103
*.ue[15].app[*].startTime = 10s
*.ue[15].app[*].destAddress = "server"
*.ue[15].app[*].destPort = 3015

*.ue[16].app[*].typename = "VoIPSender"
*.ue[16].app[*].PacketSize = 34
*.ue[16].app[*].sampling_time = 0.02s
*.ue[16].app[*].localPort = 3104
*.ue[16].app[*].startTime = 10s
*.ue[16].app[*].destAddress = "ue[0]"
*.ue[16].app[*].destPort = 3016

*.ue[17].app[*].typename = "VoIPSender"
*.ue[17].app[*].PacketSize = 34
*.ue[17].app[*].sampling_time = 0.02s
*.ue[17].app[*].localPort = 3105
*.ue[17].app[*].startTime = 10s
*.ue[17].app[*].destAddress = "ue[0]"
*.ue[17].app[*].destPort = 3000
    